@import 'core/arc_colors';

//
// Light theme
// ================================================
$light-base_color: #fff;

$light-bg_color: #f5f6f7;
$light-fg_color: #5c616c;

$light-primary-color: #353945;
$light-primary-background: #bac3cf;

$light-borders_color: darken($light-bg_color, 9%);

$light-link_color: darken($selected_bg_color, 10%);
$light-link_visited_color: darken($selected_bg_color, 20%);

$light-insensitive_fg_color: transparentize($light-fg_color, 0.45);
$light-insensitive_bg_color: mix($light-bg_color, $light-base_color, 40%);

$light-header_bg: #e7e8eb;
$light-header_bg_backdrop: lighten($light-header_bg, 3%);
$light-header-border: darken($light-header_bg, 4%);
$light-header_fg: saturate(transparentize($light-fg_color, 0.2), 10%);

$light-sidebar_border: $sidebar_bg;

$light-entry_bg: $light-base_color;
$light-entry_border: #cfd6e6;

$light-header_entry_bg: transparentize($light-base_color, 0.1);
$light-header_entry_border: transparentize($light-header_fg, 0.7);

$light-button_bg: lighten($light-bg_color, 2%);
$light-button_border: $light-entry_border;

$light-header_button_bg: transparentize($light-button_bg, 0.1);
$light-header_button_border: transparentize($light-header_fg, 0.7);

:root {
  --action-background: #{$panel_fg};
  --action-color: #{$panel_bg};
  --active-background: #{lighten($panel_bg, 20%)};

  // Notices
  --notice-background: #{$panel_fg};
  --notice-warning-background: #{$warning_bg_color};
  --notice-warning-color: #{$warning_fg_color};
  --notice-destructive-background: #{$destructive_bg_color};
  --notice-destructive-color: #{$destructive_fg_color};
  --notice-notice-background: #{$suggested_bg_color};
  --notice-notice-color: #{$suggested_fg_color};
  --notice-success-background: #{$success_bg_color};
  --notice-success-color: #{$warning_fg_color};
  --notice-primary-color: #{$light-primary-background};
  --notice-primary-background: #{$light-primary-color};

  // Base
  --base-background: #{$light-bg_color};
  --base-color: #{$light-fg_color};
  --base-primary-color: #{$light-primary-color};
  --base-primary-background: #{$light-primary-background};

  // Inverses
  --base-inverse-background: #{$light-fg_color};
  --base-inverse-color: #{$light-bg_color};

  // Mute
  --mute-color: #{$light-insensitive_fg_color};
  --mute-background: #{$light-insensitive_bg_color};

  // Borders
  --border-color: #{$light-borders_color};

  // Buttons
  --button-background: #{$light-button_bg};
  --button-color: #{$light-base_color};
  --button-shadow: #{$light-header_button_border};

  // Panels
  --panel-bg: #{$panel_fg};
  --panel-fg: #{$panel_bg};

  // FIXME ?
  // Code
  --code-background: var(--mute-background);
  --code-text: var(--mute-color);

  // Colors
  --color-info: #{$suggested_bg_color};
  --color-mute: #{$light-insensitive_bg_color};
  --color-success: #{$success_bg_color};
  --color-warning: #{$warning_bg_color};

  // Shadows
  --color-shadow: var(--button-shadow);
  --mute-shadow: var(--button-shadow);

  // Entries, cards,...
  --entry-bg: #{$light-entry_bg};

  // FIXME
  --card-background: var(--entry-bg);

  // Links
  --link-color: #{$light-link_color};
  --link-color-hover: #{darken($light-link_color, 20%)};
  --link-active: #{$light-link_visited_color};

  // Forms
  --input-background: #{$light-entry_bg};

  // Titles
  --stand-out-color: black;
  --title-background: #{$light-header_bg};
  --title-color: var(--stand-out-color);
  --subtitle-background: #{transparentize($light-header_bg, 0.7)};
}
